require('bootstrap')
-- custom key maps
require('keymaps')

-- load options
local options = require('options')

-- set neovim options
for k, v in pairs(options.vim) do
    vim.opt[k] = v
end

-- apply color theme
local status, _ = pcall(vim.cmd, "colorscheme " .. options.ui.theme)
if not status then
    print("Colorscheme not found: " .. options.ui.theme) -- Print an error message if the colorscheme is not installed
    return
end
